GET api/amendmentrequests/search?alreadySent={alreadySent}&page={page}&itemsPerPage={itemsPerPage}

Returns a list of amendment requests.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
alreadySent

Filter amendment requests on whether they are already send or not.

boolean

Default value is False

page

Page number requested (search results are paginated).

integer

Default value is 1

itemsPerPage

Items to return on each page. See page parameter above.

integer

Default value is 10

Body Parameters

None.

Response Information

Resource Description

ListModelOfAmendmentRequestModel
NameDescriptionTypeAdditional information
TotalItems

integer

None.

ItemsPerPage

integer

None.

CurrentPage

integer

None.

TotalPages

integer

None.

FirstRowOnPage

integer

None.

LastRowOnPage

integer

None.

Rows

Collection of AmendmentRequestModel

None.

Response Formats

application/json, text/json

Sample:
{
  "totalItems": 1,
  "itemsPerPage": 2,
  "currentPage": 3,
  "totalPages": 4,
  "firstRowOnPage": 5,
  "lastRowOnPage": 6,
  "rows": [
    {
      "amendmentRequestId": "cd6e7109-f430-4a2b-ba71-31ca13636af3",
      "createdUtc": "2026-05-29T16:58:55.5452974+00:00",
      "cdaId": "594963ae-2ec5-47f2-9c28-879f8faf188d",
      "cdaUploadDateUtc": "2026-05-29T16:58:55.5452974+00:00",
      "patientExternalId": "sample string 3",
      "locationExternalId": "sample string 4",
      "doctorExternalId": "sample string 5",
      "missingInformation": "sample string 6",
      "incorrectInformation": "sample string 7",
      "notifyOfAmendment": "sample string 8",
      "alreadySent": true,
      "status": "sample string 10",
      "doctorComments": "sample string 11"
    },
    {
      "amendmentRequestId": "cd6e7109-f430-4a2b-ba71-31ca13636af3",
      "createdUtc": "2026-05-29T16:58:55.5452974+00:00",
      "cdaId": "594963ae-2ec5-47f2-9c28-879f8faf188d",
      "cdaUploadDateUtc": "2026-05-29T16:58:55.5452974+00:00",
      "patientExternalId": "sample string 3",
      "locationExternalId": "sample string 4",
      "doctorExternalId": "sample string 5",
      "missingInformation": "sample string 6",
      "incorrectInformation": "sample string 7",
      "notifyOfAmendment": "sample string 8",
      "alreadySent": true,
      "status": "sample string 10",
      "doctorComments": "sample string 11"
    }
  ]
}

application/xml, text/xml

Sample:
<ListModelOfAmendmentRequestModelUAhZT3cS xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
  <CurrentPage>3</CurrentPage>
  <FirstRowOnPage>5</FirstRowOnPage>
  <ItemsPerPage>2</ItemsPerPage>
  <LastRowOnPage>6</LastRowOnPage>
  <Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AmendmentRequests">
    <d2p1:AmendmentRequestModel>
      <d2p1:AlreadySent>true</d2p1:AlreadySent>
      <d2p1:AmendmentRequestId>cd6e7109-f430-4a2b-ba71-31ca13636af3</d2p1:AmendmentRequestId>
      <d2p1:CdaId>594963ae-2ec5-47f2-9c28-879f8faf188d</d2p1:CdaId>
      <d2p1:CdaUploadDateUtc>2026-05-29T16:58:55.5452974+00:00</d2p1:CdaUploadDateUtc>
      <d2p1:CreatedUtc>2026-05-29T16:58:55.5452974+00:00</d2p1:CreatedUtc>
      <d2p1:DoctorComments>sample string 11</d2p1:DoctorComments>
      <d2p1:DoctorExternalId>sample string 5</d2p1:DoctorExternalId>
      <d2p1:IncorrectInformation>sample string 7</d2p1:IncorrectInformation>
      <d2p1:LocationExternalId>sample string 4</d2p1:LocationExternalId>
      <d2p1:MissingInformation>sample string 6</d2p1:MissingInformation>
      <d2p1:NotifyOfAmendment>sample string 8</d2p1:NotifyOfAmendment>
      <d2p1:PatientExternalId>sample string 3</d2p1:PatientExternalId>
      <d2p1:Status>sample string 10</d2p1:Status>
    </d2p1:AmendmentRequestModel>
    <d2p1:AmendmentRequestModel>
      <d2p1:AlreadySent>true</d2p1:AlreadySent>
      <d2p1:AmendmentRequestId>cd6e7109-f430-4a2b-ba71-31ca13636af3</d2p1:AmendmentRequestId>
      <d2p1:CdaId>594963ae-2ec5-47f2-9c28-879f8faf188d</d2p1:CdaId>
      <d2p1:CdaUploadDateUtc>2026-05-29T16:58:55.5452974+00:00</d2p1:CdaUploadDateUtc>
      <d2p1:CreatedUtc>2026-05-29T16:58:55.5452974+00:00</d2p1:CreatedUtc>
      <d2p1:DoctorComments>sample string 11</d2p1:DoctorComments>
      <d2p1:DoctorExternalId>sample string 5</d2p1:DoctorExternalId>
      <d2p1:IncorrectInformation>sample string 7</d2p1:IncorrectInformation>
      <d2p1:LocationExternalId>sample string 4</d2p1:LocationExternalId>
      <d2p1:MissingInformation>sample string 6</d2p1:MissingInformation>
      <d2p1:NotifyOfAmendment>sample string 8</d2p1:NotifyOfAmendment>
      <d2p1:PatientExternalId>sample string 3</d2p1:PatientExternalId>
      <d2p1:Status>sample string 10</d2p1:Status>
    </d2p1:AmendmentRequestModel>
  </Rows>
  <TotalItems>1</TotalItems>
  <TotalPages>4</TotalPages>
</ListModelOfAmendmentRequestModelUAhZT3cS>